%define name	Zip_Player 
%define shortname zip_player
%define version 0.4
%define release %mkrel 3
%define url	http://kellerleiche.bplaced.net

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Zip_Player plays Your music in zip-archive
Summary(de):	Zip_Player spielt Musik aus Zip Archive
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xmms, unzip, zenity,
Obsoletes:	%name < %version

%description
PCLOS Zip-Player plays Your music in zip-archive. (Created by leiche)

Install DeadBeeF with synaptic to get DeadBeeF player supporting.

#german
%description -l de
Zip Player XMMS spielt Musik aus Zip Archive. (Erstellt von leiche)

Installieren Sie DeadBeeF mit Synaptic um Deadbeef Player zu nutzen. 

%prep

%setup -q -n %{name}-%{version}

%build


%install

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 zip_player.sh zip_player $RPM_BUILD_ROOT%{_bindir}
install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/zip_player_64.png %buildroot%_datadir/icons/zip_player.png
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=PCLOS Zip-Player
Name[de]=PCLOS Zip-Player
Comment=plays music in zip archives
Comment[de]=spielt Musik aus den ZIP Archiven
Exec=%{_bindir}/zip_player.sh
Icon=zip_player.png
Terminal=false
Type=Application
Categories=Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
ServiceTypes=zip
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_datadir}/kde4/services/ServiceMenus
%__cat > %{buildroot}%{_datadir}/kde4/services/ServiceMenus/%{name}.desktop << EOF
[Desktop Entry]
Type=Service
Name=%{name}
Encoding=UTF-8
ServiceTypes=application/zip
Actions=zip_player
X-KDE-ServiceTypes=KonqPopupMenu/Plugin 
MimeType=zip;ZIP;
Icon=zip_player.png

[Desktop Action zip_player]
Name=PCLOS Zip-Player
GenericName=Zip_Player
Exec=zip_player
Icon=zip_player.png
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,sr,es,bg}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{shortname}.sh.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{shortname}.sh-de.po



%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/zip_player
%{_bindir}/zip_player.sh
%{_datadir}/applications/%{name}.desktop
%{_datadir}/kde4/services/ServiceMenus/%{name}.desktop
%{_datadir}/icons/zip_player.png
%doc Readme.txt COPYING
%{_datadir}/locale/*


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Thu Jul 29 2010 leiche <meisssw01 at aol.com> 0.4-3pclos2010
- fix output dialog under zip_player script

* Wed Jul 28 2010 leiche <meisssw01 at aol.com> 0.4-2pclos2010
- change icon, (created by Neal)
- removed pragha yet, to load music faster to the player

* Mon Jul 26 2010 leiche <meisssw01 at aol.com> 0.4-1pclos2010
- change open file selection in directory, to add file list

* Thu Jul 21 2010  Texstar <texstar at gmail.com> 0.3-3pclos2010
- convert source to tar.xz

* Thu Jul 21 2010 leiche <meisssw01 at aol.com> 0.3-2pclos2010
- add german languages
- add programm name, and version in gui
- add icon in gui
- rename Zip player XMMS in PCLOS Zip-Player

* Sat Jul 02 2010 leiche <meisssw01 at aol.com> 0.3-1pclos2010
- add deadbeef player

* Sun Jun 20 2010 leiche <meisssw01 at aol.com> 0.2-1pclos2010
- Now you can play zip files with pragha, too
- add progress for better eyecandy ;)
- fix problem, when system crash, to play new archive

* Wed May 26 2010 Texstar <texstar at gmail.com> 0.1-4pclos2010
- fix rpm/synaptic group Sound

* Sat May 08 2010 leiche <meisssw01 at aol.com> 0.1-3pclos2010
- Open Browser filtering *.zip files
- added correct name of Zip Player in Zip Player XMMS

* Wed Apr 28 2010 leiche <meisssw01 at aol.com> 0.1-2pclos2010
- shows servicemenu only for zipfiles
- change file open browser from kdialog to zenity

* Thu Mar 04 2010 leiche <meisssw01 at aol.com> 0.1-1pclos2010
- created for pclinuxos
